/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/**
 * @private
 * This classe defines message target for thesaurus.
 */
Ext.define("Ametys.plugin.thesaurus.ThesaurusMessageTarget",
	{
		override: "Ametys.message.MessageTarget",
		
		statics: 
		{
			/**
			 * @member Ametys.message.MessageTarget
			 * @readonly
			 * @property {String} THESAURUS The target type is a thesaurus.
			 */
			THESAURUS: "thesaurus",
			
			/**
			 * @member Ametys.message.MessageTarget
			 * @readonly
			 * @property {String} MICROTHESAURUS The target type is a microthesaurus.
			 */
			MICROTHESAURUS: "microthesaurus",
			
			/**
			 * @member Ametys.message.MessageTarget
			 * @readonly
			 * @property {String} THESAURUS_CANDIDATE The target type is a candidate of thesaurus.
			 */
			THESAURUS_CANDIDATE: 'thesaurus-candidate'
		}
	}
);