/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/**
 * This class is the model for entries of choose term combo box
 * @private
 */
Ext.define("Ametys.plugins.thesaurus.form.widget.SelectTerm.ContentEntry", {
	extend: 'Ext.data.Model',
	
    fields: [
             {name: 'id', mapping: '@id'},
             {name: 'iconSmall', mapping: '@smallIcon'},
             {name: 'workflowStepId', mapping: 'workflowStep/@id'},
             {name: 'workflow-step-id', mapping: 'workflowStep/@id'},
             {name: 'workflowStepIcon', mapping: 'workflow-icon-small'},
             {name: 'name', mapping: '@name', type: 'string'},
             {name: 'type', mapping: '@type', type: 'string'},
             {name: 'title', mapping: 'metadata/title', type: 'string', sortType: Ext.data.SortTypes.asNonAccentedUCString},
             {name: 'lastModified', type: 'date', mapping: 'lastModified'},
             {name: 'contributorDisplay', mapping: 'contributor', type: 'string', sortType: Ext.data.SortTypes.asNonAccentedUCString},
             {name: 'contributor', mapping: 'contributor/@login', type: 'string', sortType: Ext.data.SortTypes.asNonAccentedUCString},
             {
     			name: 'clickable', 
     			type: 'boolean',
     			convert: function (v, record) {
     				return record.get('type') == 'org.ametys.plugins.thesaurus.Content.term' ? true : false;
     			}
     		}
    ]
});